Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class BaseFillList.AppendingPrintElementContainer

    java.lang.Object
      net.sf.jasperreports.components.list.BaseFillList.AppendingPrintElementContainer

All Implemented Interfaces:
  JRPrintElementContainer

Enclosing class:
  BaseFillList

    protected static class BaseFillList.AppendingPrintElementContainer

extends java.lang.Object
implements JRPrintElementContainer

Constructor Summary
`BaseFillList.AppendingPrintElementContainer(JRPrintElementContainer container)`

Method Summary
`void` | `addElement(JRPrintElement element)` Adds an element to the container.
`java.util.List` | `getElements()` Returns the list of `elements` of the container.
`int` | `getHeight()` Returns the height of the container.
`void` | `setHeight(int height)` Sets the height of the container.
`void` | `setXOffset(int xOffset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFillList.AppendingPrintElementContainer

    public BaseFillList.AppendingPrintElementContainer(JRPrintElementContainer container)

Method Detail

### addElement

    public void addElement(JRPrintElement element)

  Description copied from interface: `JRPrintElementContainer`
  Adds an element to the container.

  Specified by:
    `addElement` in interface `JRPrintElementContainer`
  Parameters:
    `element` - the element to add

### getElements

    public java.util.List getElements()

  Description copied from interface: `JRPrintElementContainer`
  Returns the list of `elements` of the container.

  Specified by:
    `getElements` in interface `JRPrintElementContainer`
  Returns:
    the list of elements

### getHeight

    public int getHeight()

  Description copied from interface: `JRPrintElementContainer`
  Returns the height of the container.

  Specified by:
    `getHeight` in interface `JRPrintElementContainer`
  Returns:
    the height of the container

### setHeight

    public void setHeight(int height)

  Description copied from interface: `JRPrintElementContainer`
  Sets the height of the container.

  Specified by:
    `setHeight` in interface `JRPrintElementContainer`
  Parameters:
    `height` - the height

### setXOffset

    public void setXOffset(int xOffset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com